<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Customer Group Catalog Hyva Compatibility by Amasty
 */

namespace Amasty\GroupcatHyva\Model;

use Amasty\Base\Model\ConfigProviderAbstract;

class ConfigProvider extends ConfigProviderAbstract
{
    public const CUSTOM_CSS = 'frontend/custom_css';
    public const IS_GDPR_ENABLED = 'gdpr/enabled';
    public const GDPR_TEXT = 'gdpr/text';

    /**
     * @var string
     */
    protected $pathPrefix = 'amasty_groupcat/';

    public function getCustomCss(?int $storeId = null): string
    {
        return (string)$this->getValue(self::CUSTOM_CSS, $storeId);
    }

    public function isGDPREnabled(?int $storeId = null): bool
    {
        return (bool)$this->getValue(self::IS_GDPR_ENABLED, $storeId);
    }

    public function getGDPRText(?int $storeId = null): string
    {
        return (string)$this->getValue(self::GDPR_TEXT, $storeId);
    }
}
