<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Customer Group Catalog Hyva Compatibility by Amasty
 */

namespace Amasty\GroupcatHyva\Plugin;

use Hyva\Theme\Service\CurrentTheme;
use Magento\Framework\View\Element\Template;

class ChangeTemplate
{
    /**
     * @var CurrentTheme
     */
    private CurrentTheme $currentTheme;

    public function __construct(
        CurrentTheme $currentTheme
    ) {
        $this->currentTheme = $currentTheme;
    }

    /**
     * @param Template $subject
     * @param string $templatePath
     * @return string
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     */
    public function afterGetTemplate(Template $subject, string $templatePath): string
    {
        if ($this->currentTheme->isHyva()) {
            return str_replace('Amasty_Groupcat::', 'Amasty_GroupcatHyva::', (string)$templatePath);
        }

        return $templatePath;
    }
}
