<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Customer Group Catalog Hyva Compatibility by Amasty
 */

namespace Amasty\GroupcatHyva\Plugin\Groupcat\Block\Framework\Pricing\RequestPopup;

use Amasty\Groupcat\Block\Framework\Pricing\RequestPopup;
use Hyva\Theme\Service\CurrentTheme;

class ChangePopupTemplate
{
    public const HYVA_HIDE_PRICE_POPUP_TEMPLATE = 'Amasty_GroupcatHyva::price/request-popup-show.phtml';

    /**
     * @var CurrentTheme
     */
    private CurrentTheme $currentTheme;

    public function __construct(
        CurrentTheme $currentTheme
    ) {
        $this->currentTheme = $currentTheme;
    }

    public function afterGetTemplate(RequestPopup $subject, string $templatePath): string
    {
        if ($this->currentTheme->isHyva() && $subject->isPopup()) {
            return self::HYVA_HIDE_PRICE_POPUP_TEMPLATE;
        }

        return $templatePath;
    }
}
