<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Customer Group Catalog Hyva Compatibility by Amasty
 */

namespace Amasty\GroupcatHyva\ViewModel;

use Amasty\GroupcatHyva\Model\ConfigProvider;
use Magento\Framework\View\Element\Block\ArgumentInterface;

class Config implements ArgumentInterface
{

    /**
     * @var ConfigProvider
     */
    private ConfigProvider $configProvider;

    public function __construct(
        ConfigProvider $configProvider
    ) {
        $this->configProvider = $configProvider;
    }

    public function getCustomCss(?int $storeId = null): string
    {
        return $this->configProvider->getCustomCss($storeId);
    }

    public function isGDPREnabled(?int $storeId = null): bool
    {
        return $this->configProvider->isGDPREnabled($storeId);
    }

    public function getGDPRText(?int $storeId = null): string
    {
        return (string)$this->configProvider->getGDPRText($storeId);
    }
}
